Skip to main content
GET
/
agents
/
{agentId}
/
did
cURL
curl --request GET \
  --url https://api.useanima.sh/v1/agents/{agentId}/did \
  --header 'Authorization: Bearer <token>'
{
  "@context": [
    "<string>"
  ],
  "id": "<string>",
  "verificationMethod": [
    {
      "id": "<string>",
      "type": "<string>",
      "controller": "<string>",
      "publicKeyJwk": {}
    }
  ],
  "authentication": [
    "<string>"
  ],
  "controller": "<string>",
  "assertionMethod": [
    "<string>"
  ],
  "service": [
    {
      "id": "<string>",
      "type": "<string>",
      "serviceEndpoint": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

JWT Bearer token obtained from authentication. Pass as: Authorization: Bearer

Path Parameters

agentId
required

Agent identifier

Pattern: ^[0-9a-z]+$

Response

200 - application/json

OK

W3C DID Document

@context
string[]
required
id
string
required
verificationMethod
object[]
required
authentication
string[]
required
controller
string
assertionMethod
string[]
service
object[]